# WARNING
# This file is autogenerated and should not be modified directly.
# For more details, see https://github.com/acceleratedscience/openad-website/tree/main/generator
# Template file: https://github.com/acceleratedscience/openad-website/tree/main/generator/_source/concepts.py

"""
Snippets used for the help output:
- Descriptions of OpenAD and some of its key concepts
- The introductionary text generated for the `intro` command
"""

# Concept description
# These are auto-generated from https://github.com/acceleratedscience/openad-website/tree/main/generator/_source
description = """OpenAD is an intuitive toolkit that simplifies access to a variety of AI models and services for scientific discovery. Together with its convenient visualisation capabilities, OpenAD empowers scientists across industries to enhance their discovery process.

OpenAD is designed to integrate into your existing workflows via Jupyter Notebook, CLI or API, using a low-code approach to accelerate your research."""
about_mws = """Your molecule working set (MWS) is an in-memory list of small molecules that is the subject of your calculations and manipulations.

The MWS makes it easy to gather candidate molecules from various sources, either by adding them individually, by loading them in batch from a dataframe, CSV or SDF file, or by bookmarking molecules in the GUI. You can then calculate certain properties, perform triage and then store the results in your workspace as a molecule set, ready for further processing within OpenAD or elsewhere.

Please note that at this time the MWS does not support macromolecules, only small molecules."""
about_workspace = """Your workspace represents an isolated environment where your molecules, molecule sets and other files related to your research are stored.

Each workspace has its own command history and corresponds with a directory stored in ~/openad/workspaces, allowing you to work on multiple isolated projects at once. OpenAD comes loaded with a default workspace called 'default', and you can create as many additional workspaces as needed."""
about_plugin = """Plugins provide drastically simplified access to a series of advanced tools, and make it easy for your own Python applications to interface with OpenAD."""
about_run = """A run is a prerecorded chain of commands that can be reused to automate certain workflows and avoid unnecessary repetition."""
about_context = """Setting context is deprecated, install RXN/DS plugins instead."""


openad_intro: str = f"""<h1>Introduction to OpenAD</h1>

{description}

<link>accelerate.science/projects/openad</link>



<h2>Molecule Working Set</h2>
{about_mws}

<soft>To see how to work with your molecule working set, run <cmd>? mws</cmd></soft>



<h2>Workspaces</h2>
{about_workspace}

<soft>To see how to work with workspaces, run <cmd>? workspace</cmd></soft>



<h2>Plugins</h2>
{about_plugin}

<soft>To see how to work with plugins, run <cmd>? toolkit</cmd></soft>



<h2>Runs</h2>
{about_run}

<soft>To see how to work with runs, run <cmd>? run</cmd></soft>"""
